Skip to content
Start here

Push Message Batch

client.Queues.Messages.BulkPush(ctx, queueID, params) (*MessageBulkPushResponse, error)
POST/accounts/{account_id}/queues/{queue_id}/messages/batch

Push a batch of message to a Queue

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Queues WriteWorkers Scripts Write
ParametersExpand Collapse
queueID string

A Resource identifier.

maxLength32
params MessageBulkPushParams
AccountID param.Field[string]

Path param: A Resource identifier.

maxLength32
DelaySeconds param.Field[float64]optional

Body param: The number of seconds to wait for attempting to deliver this batch to consumers

Messages param.Field[[]MessageBulkPushParamsMessage]optional

Body param

type MessageBulkPushParamsMessagesMqQueueMessageText struct{…}
Body stringoptional
ContentType MessageBulkPushParamsMessagesMqQueueMessageTextContentTypeoptional
DelaySeconds float64optional

The number of seconds to wait for attempting to deliver this message to consumers

type MessageBulkPushParamsMessagesMqQueueMessageJson struct{…}
Body unknownoptional
ContentType MessageBulkPushParamsMessagesMqQueueMessageJsonContentTypeoptional
DelaySeconds float64optional

The number of seconds to wait for attempting to deliver this message to consumers

ReturnsExpand Collapse
type MessageBulkPushResponse struct{…}
Errors []ResponseInfooptional
minLength1
Code int64
minimum1000
Message string
DocumentationURL stringoptional
Source ResponseInfoSourceoptional
Pointer stringoptional
Messages []stringoptional
Success MessageBulkPushResponseSuccessoptional

Indicates if the API call was successful or not.

Push Message Batch

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/queues"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.Queues.Messages.BulkPush(
    context.TODO(),
    "023e105f4ecef8ad9ca31a8372d0c353",
    queues.MessageBulkPushParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Errors)
}
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "success": true
}